#### D.5.2.22 chProdM

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chProdM(r, c, R, C); r, R integers; c, C lists of polynomials

Return:
  list

Purpose:
  computes the list of Chern classes of the product of two vector bundles in terms of their Chern clases

Note:
  Implementation of the formula of Manivel

Example:

    LIB "chern.lib";
    // The Chern classes of the tensor product of a vector bundle of rank 3
    // with Chern classes c(1), c(2), c(3) and a vector bundle of rank 1 with
    // Chern class C(1)
    ring r = 0, ( c(1..3), C(1)), dp;
    list c=c(1..3);
    list C=C(1);
    print( chProdM(3,c,1,C) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.